'convert.bas description conversion utility
'works under dos 5.00 qbasic.exe program (or qb 4.00 or greater)
'copy _rom.cat from root directory of programmers rom disk to current
'directory, then type qbasic convert, then press F5 to run
'written by Eric L. Schonning for CdCom door program
CLS
PRINT "Programmers Rom QB-1011 Description Conversion"
PRINT
PRINT "Modifying _ROM.CAT Into Correct Format For MAKEXRF"
OPEN "_rom.cat" FOR INPUT AS #1
i% = 0
WHILE NOT EOF(1)
  LINE INPUT #1, j$
  IF j$ <> "" THEN
    SELECT CASE ASC(LEFT$(j$, 1))
      CASE 124
       ' this character |
        CLOSE #2
        i% = i% + 1
        i$ = STR$(i%)
        i$ = "0" + MID$(i$, 2)
        IF i% < 10 THEN i$ = "0" + i$
        PRINT "Writing "; i$; ".CAT"
        OPEN i$ + ".CAT" FOR OUTPUT AS #2
      CASE 43
        'do nuttin with +
      CASE 33, 35 TO 41, 45, 48 TO 57, 64 TO 90, 95 TO 126
        'valid filename letters
        IF LEFT$(j$, 8) = STRING$(8, 45) THEN
          'this is  --------, not a filename so ignore
        ELSE
          j$ = RTRIM$(j$)
          PRINT #2, j$
        END IF
    END SELECT
  END IF
WEND
CLOSE
KILL "_rom.cat"
PRINT
PRINT "Done"
END

